%define name obconf
%define version 2.0.3
%define release 6

Name: 		%{name}
Version: 	%{version}
Release: 	%mkrel %release

Summary: 	Openbox configuration manager
Source0: 	%{name}-%{version}.tar.gz
Source1:	%{name}_de.po
URL: 		http://vault.openmonkey.com/pages/obconf/
Group: 		Graphical desktop/Other
BuildRoot: 	%{_tmppath}/%{name}-buildroot
License: 	GPL
%ifarch i586
Requires: 	libgdk_pixbuf2.0_0-devel libglade2.0_0-devel
%endif
%ifarch x86_64
Requires: 	lib64gdk_pixbuf2.0_0-devel lib64glade2.0_0-devel
%endif
Requires: 	openbox >= 3.4.2
BuildRequires: 	libopenbox-devel >= 3.4.2
BuildRequires: 	libstartup-notification-1-devel
%ifarch i586
BuildRequires: 	libgdk_pixbuf2.0_0-devel libglade2.0_0-devel
%endif
%ifarch x86_64
BuildRequires: 	lib64gdk_pixbuf2.0_0-devel lib64glade2.0_0-devel
%endif

%description
Obconf is a configuration program for the Openbox window manager.

%description -l de
Obconf ist ein Konfigurationsprogramm für den Openbox Windowmanager.

%prep
rm -rf $RPM_BUILDROOT
%setup -q -n %{name}-%{version}
%build
%configure --prefix=/usr 
%make
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# menu entry
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name):obconf 
command="%_bindir/obconf" 
needs="X11" 
section="System/Configuration/Other" 
icon="obconf.png" 
title="obconf" 
longtitle="Openbox configuration manager"
EOF

%__mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/de/LC_MESSAGES/
msgfmt %{SOURCE1} -o $RPM_BUILD_ROOT%{_datadir}/locale/de/LC_MESSAGES/obconf.mo 


%post
%update_menus
%update_desktop_database
%update_mime_database

%postun
%clean_menus
%clean_desktop_database
%clean_mime_database

%files
%defattr(-,root,root,0755)
%doc README CHANGELOG COPYING AUTHORS TODO ABOUT-NLS
%{_bindir}/obconf
%{_datadir}/applications/*
%{_datadir}/locale/*
%{_datadir}/mime/*
%{_datadir}/mimelnk/*
%{_datadir}/obconf/*
%{_datadir}/pixmaps/obconf.png
%{_menudir}/obconf

%changelog
* Wed Jul 14 2010 Oliver Burger <rpm@mandrivauser.de> 2.0.3-6mud2010.1
- rebuild for 2010.1

* Sat Dec 12 2009 Mario Blättermann <rpm@mandrivauser.de> 2.0.3-5mud2010.0
- rebuild for 2010.0

* Sat Oct 18 2008 Mario Blättermann <rpm@mandrivauser.de> 2.0.3-4mud2009.0
- rebuild for 2009.0

* Sun Jun 08 2008 Mario Blättermann <mario.blaettermann@t-online.de> 2.0.3-3mud2008.1
- add german translation

* Sat Apr 12 2008 Mario Blättermann <mario.blaettermann@t-online.de> 2.0.3-2mud2008.1
- rebuild for new distribution Mandriva 2008.1

* Thu Jan 03 2008 Mario Blättermann <mario.blaettermann@t-online.de> 2.0.3-1mud2008.0
- update to 2.0.3
- added menu entry
- changed group

* Thu Jan 03 2008 Oliver Burger <rpm@mandrivauser.de> 2.0.2-1mud2008.0
- rebuild for MUde

* Mon Dec 31 2007 Mario Blättermann <mario.blaettermann@t-online.de>
- initial version
